# QVM: Quaternions, Vectors, Matrices

### normalize(quat)

#include <boost/qvm/quat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if: is_quat<A>::value
            template <class A>
            void normalize( A & a );
        }
    }

#### Effects:

Normalizes a.

#### Postcondition:

mag(a)==scalar_traits<typename quat_traits<A>::scalar_type>::value(1).

#### Throws:

If a's magnitude is zero, throws zero_magnitude_error.

See also: boost/qvm/quat_operations.hpp | normalized(quat)